ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Gaurav Nagar (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AMBARI-18000) Data can not be migrated from Hive 1.0 to Hive2
Date Wed, 03 Aug 2016 10:37:20 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-18000?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Gaurav Nagar updated AMBARI-18000:
----------------------------------
    Resolution: Fixed
        Status: Resolved  (was: Patch Available)

Committed to trunk and branch-2.4


> Data can not be migrated from Hive 1.0 to Hive2
> -----------------------------------------------
>
>                 Key: AMBARI-18000
>                 URL: https://issues.apache.org/jira/browse/AMBARI-18000
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-views
>    Affects Versions: 2.4.0
>            Reporter: Gaurav Nagar
>            Assignee: Gaurav Nagar
>             Fix For: 2.4.0
>
>         Attachments: AMBARI-18000_branch-2.4.patch
>
>
> The persistence entities of Hive view packages were changed so data migration mechanism
can not find the relationship between entities in both versions:
> for example, in hive-next:
> org.apache.ambari.view.hive2.resources.udfs.UDF
> and in the original view:
> org.apache.ambari.view.hive.resources.udfs.UDF
> Need to write simple data-migrator that will map entities.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message